Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

FS#3043 - zip compression package is not available anymore #7801

Closed
openwrt-bot opened this issue Apr 23, 2020 · 1 comment
Closed

FS#3043 - zip compression package is not available anymore #7801

openwrt-bot opened this issue Apr 23, 2020 · 1 comment
Labels

Comments

@openwrt-bot
Copy link

@openwrt-bot openwrt-bot commented Apr 23, 2020

pozzo-balbi:

Supply the following if possible:

  • Device problem occurs on
  • Software versions of OpenWrt/LEDE release, packages, etc.
  • Steps to reproduce

"opkg install zip" renders the following error: Unknown package 'zip'.

It is available until 18.06.

The reason one needs good old zip package, because one can created a compressed and encrypted file collection, that can easily be send by email to different devices and can easily be read by Windows, MacOS, Linux, Android, iphone, etc. It is not the best at anything it does, but because it is so old, it is widely supported.

A name conflict, may be the reason for this bug:
https://forum.openwrt.org/t/19-07-0-zip-package-cannot-be-installed/52333/10

Workaround for the moment is to manually install the 18.06 package, if it is available for the architecture.

Thanks

@openwrt-bot
Copy link
Author

@openwrt-bot openwrt-bot commented Apr 24, 2020

hnyman:

Package can't be built in buildbot. (some obscure name collision despite the package rename.)
The package built in private environments compiled wrongly and was unusable with most targets.
Package has been removed from master.

Reference to:

From the removal commit.
"infozip: remove package (earlier name: zip)

Infozip (earlier name "zip") has 12 year old source code that would require work to make the binary actually work.

root@router1:/# zip
zip error: Not supported (uzoff_t not same size as zoff_t)

The package was rename from zip to infozip a few weeks ago due to buildbot's relutance to compile zip in master and 19.07 ever since host zip was added as a build tool.

But as the binary does not work, lets remove the package to avoid confusion for the end-users."

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
Projects
None yet
Development

No branches or pull requests

1 participant